<?php

declare( strict_types=1 );

namespace Blockify\Theme;

use DOMElement;
use function add_filter;

add_filter( 'render_block', NS . 'render_block_layout', 10, 2 );
/**
 * Modifies front end HTML output of block.
 *
 * @since 0.0.20
 *
 * @param string $content
 * @param array  $block
 *
 * @return string
 */
function render_block_layout( string $content, array $block ): string {

	if ( 'core/group' !== $block['blockName'] ) {
		return $content;
	}

	$dom = dom( $content );

	/**
	 * @var $first DOMElement
	 */
	$first = $dom->firstChild;

	if ( $first->tagName === 'main' ) {
		$first->setAttribute(
			'class',
			'wp-site-main ' . $first->getAttribute( 'class' )
		);
	}

	return $dom->saveHTML();
}
